class GradeHistogram
{
	private int maxGrade;
	private int[] histogram;
	
	public GradeHistogram(int maxGrade, int[] grades)
	{
		this.maxGrade = maxGrade;
		histogram = new int[maxGrade];
		for (int i = 0; i < grades.length; i ++){
			histogram[grades[i]-1] ++;
		}
	}
	
	public String toString(){
		String output = "";
		for (int i = 0; i < maxGrade; i ++){
			output = output + (i+1) + ":" + histogram[i] + " ";
		}
		return output;
	}
	
	public boolean equals(GradeHistogram other){
		if (this.maxGrade != other.maxGrade){
			return false;
		}
		for (int i = 0; i < maxGrade; i ++){
			if (this.histogram[i] != other.histogram[i]){
				return false;
			}
		}
		return true;
	}
	
	public void addHistogram(GradeHistogram other){
		if (this.maxGrade != other.maxGrade){
			return;
		}
		for (int i = 0; i < maxGrade; i ++){
			this.histogram[i] += other.histogram[i];
		}
	}
}

